<script setup lang="ts">
import { ref } from 'vue'
import { RouterLink, RouterView, useRoute, useRouter } from 'vue-router'

import NavigationDrawer from '@/components/NavigationDrawer.vue'

const router = useRouter()
const route = useRoute()
const value = ref(1)
</script>

<template>
  <!-- <NavigationDrawer></NavigationDrawer> -->
  <v-carousel cover cycle show-arrows="hover" hide-delimiter-background height="700">
    <v-carousel-item cover src="\src\assets\mainmenu\banner.png"
      >\
      <div style="margin-left: 790px; margin-top: 60px">
        <v-img :width="250" src="\src\assets\mainmenu\logo1.png"></v-img>
      </div>
      <div class="fill-height text-white" style="padding: 20px; display: flex; flex-wrap: wrap">
        <div style="margin-left: 580px">
          <h4 style="font-size: 100px">COFFEE SHOP</h4>
          <p class="subheading" style="margin-top: 20px; font-size: 15px; margin-left: 220px">
            Welcome to coffee shop website
          </p>
        </div>
      </div>
    </v-carousel-item>
    <v-carousel-item cover src="\src\assets\mainmenu\banner3.gif">
      <div style="margin-left: 800px; margin-top: 90px">
        <v-img :width="250" src="\src\assets\mainmenu\logo2.png"></v-img>
      </div>
      <div class="fill-height text-white" style="padding: 20px; display: flex; flex-wrap: wrap">
        <div style="margin-left: 660px">
          <h4 style="font-size: 100px">Point of Sell</h4>
          <p class="subheading" style="margin-top: 20px; font-size: 15px; margin-left: 70px">
            You can manage your orders for cash products on this page.
          </p>
        </div>
      </div>
    </v-carousel-item>
    <v-carousel-item cycle src="\src\assets\mainmenu\banner2.png" cover>
      <div style="margin-left: 790px; margin-top: 90px">
        <v-img :width="250" src="\src\assets\mainmenu\logo3.png"></v-img>
      </div>
      <div class="fill-height text-white" style="padding: 20px; display: flex; flex-wrap: wrap">
        <div style="margin-left: 730px">
          <h4 style="font-size: 100px; margin-left: 20px">Member</h4>
          <p class="subheading" style="margin-top: 20px; font-size: 15px; margin-left: 0px">
            Our store offers member discounts and special monthly promotions.
          </p>
        </div>
      </div>
    </v-carousel-item>
    <v-carousel-item cycle src="\src\assets\mainmenu\banner4.png" cover>
      <div style="margin-left: 785px; margin-top: 90px">
        <v-img :width="250" src="\src\assets\mainmenu\logo1.png"></v-img>
      </div>
      <div class="fill-height text-white" style="padding: 20px; display: flex; flex-wrap: wrap">
        <div style="margin-left: 750px">
          <h4 style="font-size: 100px">Product</h4>
          <p class="subheading" style="margin-top: 20px; font-size: 15px; margin-left: 0px">
            Our products are well-crafted, affordable and delicious.
          </p>
        </div>
      </div>
    </v-carousel-item>
    <v-carousel-item cycle src="\src\assets\mainmenu\banner5.png" cover>
      <div style="margin-left: 800px; margin-top: 90px">
        <v-img :width="250" src="\src\assets\mainmenu\logo2.png"></v-img>
      </div>
      <div class="fill-height text-white" style="padding: 20px; display: flex; flex-wrap: wrap">
        <div style="margin-left: 550px">
          <h4 style="font-size: 100px">Stock Management</h4>
          <p class="subheading" style="margin-top: 20px; font-size: 15px; margin-left: 220px">
            Our shop imports raw materials from overseas
          </p>
          <p class="subheading" style="margin-top: 0px; font-size: 15px; margin-left: 250px">
            have very good quality and standards.
          </p>
        </div>
      </div>
    </v-carousel-item>
  </v-carousel>
  <div style="background-color: #eae7de">
    <br /><br /><br /><br />
    <h4 align="center" style="font-size: 100px">Recent Receipt</h4>
    <h4 align="center" style="font-size: 20px; color: #b89769">
      _______________________________________________
    </h4>
    <div class="fill-height text-white" style="padding: 150px; display: flex; flex-wrap: wrap">
      <div style="margin-right: 150px">
        <v-img :width="410" src="\src\assets\mainmenu\receipt1.png"></v-img>
      </div>
      <div style="margin-right: 150px">
        <v-img :width="400" src="\src\assets\mainmenu\receipt2.png"></v-img>
      </div>
      <div>
        <v-img :width="400" src="\src\assets\mainmenu\receipt3.png"></v-img>
      </div>
    </div>
    <v-parallax height="1000" src="\src\assets\mainmenu\cafe1.png">
      <div class="d-flex flex-column fill-height text-white">
        <br /><br /><br /><br /><br />
        <h4 align="center" style="font-size: 100px">Best Seller</h4>
        <h4 align="center" style="font-size: 20px; color: #b89769">
          _______________________________________________
        </h4>
        <div class="fill-height text-white" style="padding: 100px; display: flex; flex-wrap: wrap">
          <div style="margin-right: 30px">
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee1.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee2.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee3.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee4.jpg"></v-img>
            </p>
          </div>
          <div style="margin-right: 20px">
            <p class="subheading" style="margin-top: 30px; font-size: 20px">
              CAFFE LATTE_________________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Fresh brewed coffee and steamed milk
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              CAFFE MOCHA_______________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso With Milk, and Whipped Cream
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              WHITE CHOCOLATE MOCHA__________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, White Chocolate, Milk, Ice and Cream
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              CAPPUCCINO_________________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, and Smoothed Layer of Foam
            </p>
          </div>
          <div style="margin-right: 30px">
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee5.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee6.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee7.jpg"></v-img>
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              <v-img :width="100" src="\src\assets\mainmenu\coffee8.jpg"></v-img>
            </p>
          </div>
          <div>
            <p class="subheading" style="margin-top: 30px; font-size: 20px">
              VANILLA LATTE______________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso Milk With Flavor,and Cream
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              CARAMEL MACCHIATO_______________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, vanilla-flavored syrup and milk
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              ICED CAFFE MOCHA__________________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Espresso, bittersweet mocha sauce, milk and ice
            </p>
            <p class="subheading" style="margin-top: 75px; font-size: 20px">
              ESPRESSO MACCHIATO_______________________________________________฿40
            </p>
            <p class="subheading" style="margin-top: 0px; color: #b89769">
              Rich Espresso With Milk and Foam
            </p>
          </div>
        </div>
      </div>
    </v-parallax>
  </div>
</template>

<style scoped>
.fixed-bottom {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}
.v-card {
  transition: opacity 0.4s ease-in-out;
}

.v-card:not(.on-hover) {
  opacity: 0.6;
}

.show-btns {
  color: rgba(255, 255, 255, 1) !important;
}
</style>
